> For the complete documentation index, see [llms.txt](https://docs.mogoplus.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mogoplus.ai/mogoplus-open-banking/api-reference/basics.md).

# Basics

## MOGOPLUS API Documentation&#x20;

### 1. Introduction

MOGOPLUS provides HTTP APIs for its services. This document outlines the basic information needed to interact with these [APIs](/mogoplus-open-banking/api-reference/api-endpoints.md).&#x20;

### 2. Environments&#x20;

#### MOGOPLUS offers two environments:

\- Test Environment: For Proof of Concept (POC) and development purposes&#x20;

\- Production Environment: For live, production use&#x20;

### 3. API Endpoints&#x20;

#### 3.1 Authentication API&#x20;

\- Test Environment: [https://auth.auuat.mogoplus.com](https://auth.auuat.mogoplus.com/)&#x20;

\- Production Environment: [https://auth.aulive.mogoplus.com](https://auth.aulive.mogoplus.com/)&#x20;

#### 3.2 CDR (Consumer Data Right) API&#x20;

\- Base Path: /cdr-data/v2/banking-data-insights&#x20;

\- Test Environment: [https://cdr.auuat.mogoplus.com](https://cdr.auuat.mogoplus.com/)&#x20;

\- Production Environment: [https://cdr.aulive.mogoplus.com](https://cdr.aulive.mogoplus.com/)&#x20;

### 4. Usage&#x20;

To use these APIs, append the specific endpoint path to the appropriate base URL for your environment. For example:&#x20;

\- Test Environment CDR API: <https://cdr.auuat.mogoplus.com/cdr-data/v2/banking-data-insights>&#x20;

\- Production Environment CDR API: <https://cdr.aulive.mogoplus.com/cdr-data/v2/banking-data-insights>&#x20;

### 5. Authentication

Details on authentication methods and requirements will be provided [here](/mogoplus-open-banking/api-reference/authentication.md). Ensure you have the necessary credentials before attempting to access these APIs.&#x20;

### 6. Next Steps

For detailed information on available endpoints, request/response formats, and more, refer to our comprehensive API documentation available [here](/mogoplus-open-banking/api-reference/api-endpoints.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mogoplus.ai/mogoplus-open-banking/api-reference/basics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
